    # File lib/spec/mocks/message_expectation.rb, line 11
          def initialize(error_generator, expectation_ordering, expected_from, sym, method_block, expected_received_count=1, opts={})
            @error_generator = error_generator
            @error_generator.opts = opts
            @expected_from = expected_from
            @sym = sym
            @method_block = method_block
            @return_block = nil
            @actual_received_count = 0
            @expected_received_count = expected_received_count
            @args_expectation = ArgumentExpectation.new([ArgumentConstraints::AnyArgsConstraint.new])
            @consecutive = false
            @exception_to_raise = nil
            @symbol_to_throw = nil
            @order_group = expectation_ordering
            @at_least = nil
            @at_most = nil
            @args_to_yield = []
          end